#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Javascript extension for a notebook
# 
# Play with Javascript extensions.

# In[1]:


from pyquickhelper.ipythonhelper import install_notebook_extension, get_installed_notebook_extension


# We install extensions in case it was not done before:

# In[2]:


install_notebook_extension()


# We check the list of installed extensions (from [IPython-notebook-extensions](https://github.com/ipython-contrib/IPython-notebook-extensions/wiki)):

# In[3]:


from pyquickhelper.ipythonhelper.notebook_helper import get_jupyter_extension_dir
path = get_jupyter_extension_dir()
path


# In[4]:


get_installed_notebook_extension()


# In[5]:


import notebook
notebook.nbextensions.check_nbextension('autosavetime', user=True)


# And then, we load one of them:

# In[6]:


get_ipython().run_cell_magic('javascript', '', "\nrequire(['base/js/utils'],\nfunction(utils) {\n    utils.load_extensions('autosavetime/main');\n});\n")


# In[7]:


print(3)


# Does not really work as it is now.

# In[8]: